<p>Payment Works</p>

<!--
<p-table #dt dataKey="id" styleClass="p-datatable-customers" [rowHover]="true"
         [rows]="10" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50]"
         [paginator]="true" currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
         [filterDelay]="0" [globalFilterFields]="['name','countryname','representativename','status']">
  <ng-template pTemplate="caption">
    <div class="table-header">
      List of Customers
      <span class="p-input-icon-left">
                <i class="pi pi-search"></i>
                <input pInputText type="text"/>
            </span>
    </div>
  </ng-template>
  <ng-template pTemplate="header">
    <tr>
      <th style="width: 3rem">
        <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
      </th>
      <th pSortableColumn="name">
        <div class="p-d-flex p-jc-between p-ai-center">
          Name
          <p-sortIcon field="name"></p-sortIcon>
          <p-columnFilter type="text" field="name" display="menu" class="p-ml-auto"></p-columnFilter>
        </div>
      </th>
      <th pSortableColumn="country.name">
        <div class="p-d-flex p-jc-between p-ai-center">
          Country
          <p-sortIcon field="country.name"></p-sortIcon>
          <p-columnFilter type="text" field="country.name" display="menu" class="p-ml-auto"></p-columnFilter>
        </div>
      </th>
      <th pSortableColumn="representative.name">
        <div class="p-d-flex p-jc-between p-ai-center">
          Agent
          <p-sortIcon field="representative.name"></p-sortIcon>
          <p-columnFilter field="representative" matchMode="in" display="menu" [showMatchModes]="false" [showOperator]="false" [showAddButton]="false" class="p-ml-auto">
            <ng-template pTemplate="header">
              <div class="p-px-3 p-pt-3 p-pb-0">
                <span class="p-text-bold">Agent Picker</span>
              </div>
            </ng-template>
            <ng-template pTemplate="filter" let-value let-filter="filterCallback">
              <p-multiSelect [ngModel]="value" placeholder="Any" (onChange)="filter($event.value)" optionLabel="name">
                <ng-template let-option pTemplate="item">
                  <div class="p-multiselect-representative-option">
                    <img [alt]="option.label" src="assets/showcase/images/demo/avatar/{{option.image}}" width="32" style="vertical-align: middle" />
                    <span class="p-ml-1">{{option.name}}</span>
                  </div>
                </ng-template>
              </p-multiSelect>
            </ng-template>
          </p-columnFilter>
        </div>
      </th>
      <th pSortableColumn="date">
        <div class="p-d-flex p-jc-between p-ai-center">
          Date
          <p-sortIcon field="date"></p-sortIcon>
          <p-columnFilter type="date" field="date" display="menu" class="p-ml-auto"></p-columnFilter>
        </div>
      </th>
      <th pSortableColumn="balance">
        <div class="p-d-flex p-jc-between p-ai-center">
          Balance
          <p-sortIcon field="balance"></p-sortIcon>
          <p-columnFilter type="numeric" field="balance" display="menu" currency="USD" class="p-ml-auto"></p-columnFilter>
        </div>
      </th>
      <th pSortableColumn="status">
        <div class="p-d-flex p-jc-between p-ai-center">
          Status
          <p-sortIcon field="status"></p-sortIcon>
          <p-columnFilter field="status" matchMode="equals" display="menu" class="p-ml-auto">
            <ng-template pTemplate="filter" let-value let-filter="filterCallback">
              <p-dropdown  placeholder="Any">
                <ng-template let-option pTemplate="item">
                  <span [class]="'customer-badge status-' + option.value">{{option.label}}</span>
                </ng-template>
              </p-dropdown>
            </ng-template>
          </p-columnFilter>
        </div>
      </th>
      <th pSortableColumn="activity">
        <div class="p-d-flex p-jc-between p-ai-center">
          Activity
          <p-sortIcon field="activity"></p-sortIcon>
          <p-columnFilter field="activity" matchMode="between" display="menu" [showMatchModes]="false" [showOperator]="false" [showAddButton]="false" class="p-ml-auto">
            <ng-template pTemplate="filter" let-filter="filterCallback">
              <p-slider [ngModel]="activityValues" [range]="true" (onSlideEnd)="filter($event.values)" styleClass="p-m-3"></p-slider>
              <div class="p-d-flex p-ai-center p-jc-between p-px-2">
                <span>{{activityValues[0]}}</span>
                <span>{{activityValues[1]}}</span>
              </div>
            </ng-template>
          </p-columnFilter>
        </div>
      </th>
      <th style="width: 8rem"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-customer>
    <tr class="p-selectable-row">
      <td>
        <p-tableCheckbox [value]="customer"></p-tableCheckbox>
      </td>
      <td>
        <span class="p-column-title">Name</span>
        {{customer.name}}
      </td>
      <td>
        <span class="p-column-title">Country</span>
        <img src="assets/showcase/images/demo/flag/flag_placeholder.png" [class]="'flag flag-' + customer.country.code" width="30">
        <span class="image-text">{{customer.country.name}}</span>
      </td>
      <td>
        <span class="p-column-title">Representative</span>
        <img [alt]="customer.representative.name" src="assets/showcase/images/demo/avatar/{{customer.representative.image}}" width="32" style="vertical-align: middle" />
        <span class="image-text">{{customer.representative.name}}</span>
      </td>
      <td>
        <span class="p-column-title">Date</span>
        {{customer.date | date: 'MM/dd/yyyy'}}
      </td>
      <td>
        {{customer.balance | currency:'USD':'symbol'}}
      </td>
      <td>
        <span class="p-column-title">Status</span>
        <span [class]="'customer-badge status-' + customer.status">{{customer.status}}</span>
      </td>
      <td>
        <span class="p-column-title">Activity</span>
        <p-progressBar [value]="customer.activity" [showValue]="false"></p-progressBar>
      </td>
      <td style="text-align: center">
        <button pButton type="button" class="p-button-secondary" icon="pi pi-cog"></button>
      </td>
    </tr>
  </ng-template>
  <ng-template pTemplate="emptymessage">
    <tr>
      <td colspan="8">No customers found.</td>
    </tr>
  </ng-template>
</p-table>
-->
